#********************************************************************
# Wrapper Properties
#********************************************************************
# Java Application
wrapper.java.command=java-lin32/bin/java
wrapper.working.dir=..

# Java Main class.  This class must implement the WrapperListener interface
#  or guarantee that the WrapperManager class is initialized.  Helper
#  classes are provided to do this for you.  See the Integration section
#  of the documentation for details.
wrapper.java.mainclass=org.tanukisoftware.wrapper.WrapperSimpleApp
set.default.REPO_DIR=repo
set.default.APP_BASE=.

# Java Classpath (include wrapper.jar)  Add class path elements as
#  needed starting from 1
wrapper.java.classpath.1=lib/wrapper.jar
wrapper.java.classpath.2=conf
wrapper.java.classpath.3=%REPO_DIR%/server_distribution-2.2.0.1.1.pom
wrapper.java.classpath.4=%REPO_DIR%/org.apache.felix.http.jetty-2.2.1-SSE.jar
wrapper.java.classpath.5=%REPO_DIR%/servlet-api-2.5.jar
wrapper.java.classpath.6=%REPO_DIR%/jetty-6.1.24.jar
wrapper.java.classpath.7=%REPO_DIR%/servlet-api-2.5-20081211.jar
wrapper.java.classpath.8=%REPO_DIR%/jetty-util-6.1.24.jar
wrapper.java.classpath.9=%REPO_DIR%/jetty-sslengine-6.1.24.jar
wrapper.java.classpath.10=%REPO_DIR%/org.apache.felix.http.api-2.2.0.jar
wrapper.java.classpath.11=%REPO_DIR%/org.apache.felix.http.base-2.2.1-SSE.jar
wrapper.java.classpath.12=%REPO_DIR%/org.apache.felix.http.whiteboard-2.2.0.jar
wrapper.java.classpath.13=%REPO_DIR%/mission-management-server-2.2.0.1.1.jar
wrapper.java.classpath.14=%REPO_DIR%/network-service-api-2.6.jar
wrapper.java.classpath.15=%REPO_DIR%/configuration-2.2.0.1.1.jar
wrapper.java.classpath.16=%REPO_DIR%/mission-management-api-2.2.0.1.1.jar
wrapper.java.classpath.17=%REPO_DIR%/dt-config-domain-model-2.2.0.1.1.jar
wrapper.java.classpath.18=%REPO_DIR%/commons-collections4-4.0.jar
wrapper.java.classpath.19=%REPO_DIR%/mission-management-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.20=%REPO_DIR%/mission-management-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.21=%REPO_DIR%/mission-management-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.22=%REPO_DIR%/jsr311-api-1.0.jar
wrapper.java.classpath.23=%REPO_DIR%/org.osgi.compendium-4.2.0.jar
wrapper.java.classpath.24=%REPO_DIR%/slf4j-api-1.7.25.jar
wrapper.java.classpath.25=%REPO_DIR%/slf4j-jdk14-1.7.25.jar
wrapper.java.classpath.26=%REPO_DIR%/syslog-java-client-1.0.3.jar
wrapper.java.classpath.27=%REPO_DIR%/time-provider-server-2.2.0.1.1.jar
wrapper.java.classpath.28=%REPO_DIR%/utilities-2.3.jar
wrapper.java.classpath.29=%REPO_DIR%/nanomap-geoconvert-osgi-1.14.0.jar
wrapper.java.classpath.30=%REPO_DIR%/stc-core-settings-2.2.0.1.1.jar
wrapper.java.classpath.31=%REPO_DIR%/time-2.2.0.1.1.jar
wrapper.java.classpath.32=%REPO_DIR%/time-provider-api-2.2.0.1.1.jar
wrapper.java.classpath.33=%REPO_DIR%/web-overview-server-2.2.0.1.1.jar
wrapper.java.classpath.34=%REPO_DIR%/webresources-2.2.0.1.1.jar
wrapper.java.classpath.35=%REPO_DIR%/system-status-api-2.2.0.1.1.jar
wrapper.java.classpath.36=%REPO_DIR%/communication-status-api-2.2.0.1.1.jar
wrapper.java.classpath.37=%REPO_DIR%/jackson-core-asl-1.9.13.jar
wrapper.java.classpath.38=%REPO_DIR%/layerandsymbol-model-util-2.2.0.1.1.jar
wrapper.java.classpath.39=%REPO_DIR%/jaxb2-basics-runtime-bundle-0.6.0-1.jar
wrapper.java.classpath.40=%REPO_DIR%/stc-util-2.10.jar
wrapper.java.classpath.41=%REPO_DIR%/layerandsymbol-model-2.2.0.1.1.jar
wrapper.java.classpath.42=%REPO_DIR%/ws-position-adapter-2.2.0.1.1.jar
wrapper.java.classpath.43=%REPO_DIR%/position-api-2.2.0.1.1.jar
wrapper.java.classpath.44=%REPO_DIR%/ws-position-adapter-api-2.2.0.1.1.jar
wrapper.java.classpath.45=%REPO_DIR%/fft-server-2.2.0.1.1.jar
wrapper.java.classpath.46=%REPO_DIR%/fft-api-2.2.0.1.1.jar
wrapper.java.classpath.47=%REPO_DIR%/dismounted-api-2.2.0.1.1.jar
wrapper.java.classpath.48=%REPO_DIR%/tactical-status-api-2.2.0.1.1.jar
wrapper.java.classpath.49=%REPO_DIR%/ccm-service-api-2.2.0.1.1.jar
wrapper.java.classpath.50=%REPO_DIR%/ccm-dp-lib-2.2.0.1.1.jar
wrapper.java.classpath.51=%REPO_DIR%/servlet-api-6.0.32.jar
wrapper.java.classpath.52=%REPO_DIR%/version-2.2.0.1.1.jar
wrapper.java.classpath.53=%REPO_DIR%/network-configuration-api-2.2.0.1.1.jar
wrapper.java.classpath.54=%REPO_DIR%/commons-lang3-3.1.jar
wrapper.java.classpath.55=%REPO_DIR%/guava-12.0.jar
wrapper.java.classpath.56=%REPO_DIR%/jsr305-1.3.9.jar
wrapper.java.classpath.57=%REPO_DIR%/icu4j-59.1.jar
wrapper.java.classpath.58=%REPO_DIR%/fft-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.59=%REPO_DIR%/fft-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.60=%REPO_DIR%/fft-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.61=%REPO_DIR%/dismounted-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.62=%REPO_DIR%/dismounted-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.63=%REPO_DIR%/sit-server-2.2.0.1.1.jar
wrapper.java.classpath.64=%REPO_DIR%/sit-rest-model-2.2.0.1.1.jar
wrapper.java.classpath.65=%REPO_DIR%/sit-api-2.2.0.1.1.jar
wrapper.java.classpath.66=%REPO_DIR%/unit-service-api-2.2.0.1.1.jar
wrapper.java.classpath.67=%REPO_DIR%/sit-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.68=%REPO_DIR%/sit-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.69=%REPO_DIR%/rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.70=%REPO_DIR%/utilities-jse-2.2.0.1.1.jar
wrapper.java.classpath.71=%REPO_DIR%/controlsfx-8.40.10A.jar
wrapper.java.classpath.72=%REPO_DIR%/unit-server-2.2.0.1.1.jar
wrapper.java.classpath.73=%REPO_DIR%/messaging-model-2.2.0.1.1.jar
wrapper.java.classpath.74=%REPO_DIR%/unit-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.75=%REPO_DIR%/unit-service-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.76=%REPO_DIR%/unit-service-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.77=%REPO_DIR%/stc-2.9.jar
wrapper.java.classpath.78=%REPO_DIR%/socket-api-2.2.0.1.1.jar
wrapper.java.classpath.79=%REPO_DIR%/sensor-notification-api-2.2.0.1.1.jar
wrapper.java.classpath.80=%REPO_DIR%/unit-settings-2.2.0.1.1.jar
wrapper.java.classpath.81=%REPO_DIR%/native-utils-api-2.2.0.1.1.jar
wrapper.java.classpath.82=%REPO_DIR%/trove4j-3.0.3-osgi.jar
wrapper.java.classpath.83=%REPO_DIR%/ccm-ip-socket-2.2.0.1.1.jar
wrapper.java.classpath.84=%REPO_DIR%/ccm-socket-api-2.2.0.1.1.jar
wrapper.java.classpath.85=%REPO_DIR%/ccm-socket-lib-2.2.0.1.1.jar
wrapper.java.classpath.86=%REPO_DIR%/stc-ccm-socket-lib-settings-2.2.0.1.1.jar
wrapper.java.classpath.87=%REPO_DIR%/lan-adapter-2.2.0.1.1.jar
wrapper.java.classpath.88=%REPO_DIR%/socket-lib-2.2.0.1.1.jar
wrapper.java.classpath.89=%REPO_DIR%/position-server-2.2.0.1.1.jar
wrapper.java.classpath.90=%REPO_DIR%/SunriseSunsetCalculator-1.2.jar
wrapper.java.classpath.91=%REPO_DIR%/position-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.92=%REPO_DIR%/position-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.93=%REPO_DIR%/position-rest-model-2.2.0.1.1.jar
wrapper.java.classpath.94=%REPO_DIR%/position-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.95=%REPO_DIR%/sensor-notification-server-2.2.0.1.1.jar
wrapper.java.classpath.96=%REPO_DIR%/file-transfer-server-2.2.0.1.1.jar
wrapper.java.classpath.97=%REPO_DIR%/gpsd-settings-2.2.0.1.1.jar
wrapper.java.classpath.98=%REPO_DIR%/socket-lib-settings-2.2.0.1.1.jar
wrapper.java.classpath.99=%REPO_DIR%/nmea-adapter-server-2.2.0.1.1.jar
wrapper.java.classpath.100=%REPO_DIR%/jssc-2.8.0-SSE.jar
wrapper.java.classpath.101=%REPO_DIR%/console-lib-2.2.0.1.1.jar
wrapper.java.classpath.102=%REPO_DIR%/dt-domain-service-api-2.2.0.1.1.jar
wrapper.java.classpath.103=%REPO_DIR%/gpsd-position-adapter-2.2.0.1.1.jar
wrapper.java.classpath.104=%REPO_DIR%/gpsd4java-1.2.0.jar
wrapper.java.classpath.105=%REPO_DIR%/json-20090211.jar
wrapper.java.classpath.106=%REPO_DIR%/gson-2.2.4.jar
wrapper.java.classpath.107=%REPO_DIR%/nmea-lib-2.2.0.1.1.jar
wrapper.java.classpath.108=%REPO_DIR%/snmp-multiplexer-service-2.2.0.1.1.jar
wrapper.java.classpath.109=%REPO_DIR%/org.apache.servicemix.bundles.snmp4j-2.3.0_1.jar
wrapper.java.classpath.110=%REPO_DIR%/messaging-server-2.2.0.1.1.jar
wrapper.java.classpath.111=%REPO_DIR%/messaging-api-2.2.0.1.1.jar
wrapper.java.classpath.112=%REPO_DIR%/classification-2.2.0.1.1.jar
wrapper.java.classpath.113=%REPO_DIR%/messaging-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.114=%REPO_DIR%/messaging-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.115=%REPO_DIR%/messaging-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.116=%REPO_DIR%/messaging-rest-model-2.2.0.1.1.jar
wrapper.java.classpath.117=%REPO_DIR%/plan-compression-2.2.0.1.1.jar
wrapper.java.classpath.118=%REPO_DIR%/commons-compress-1.9.jar
wrapper.java.classpath.119=%REPO_DIR%/honestytrace-server-2.2.0.1.1.jar
wrapper.java.classpath.120=%REPO_DIR%/honesty-trace-api-2.2.0.1.1.jar
wrapper.java.classpath.121=%REPO_DIR%/persistence-storage-2.2.0.1.1.jar
wrapper.java.classpath.122=%REPO_DIR%/swfl-framework-2.2.0.1.1.jar
wrapper.java.classpath.123=%REPO_DIR%/osgi-starter-2.2.0.1.1.jar
wrapper.java.classpath.124=%REPO_DIR%/osgi-over-slf4j-1.7.25.jar
wrapper.java.classpath.125=%REPO_DIR%/org.apache.felix.framework-4.4.0.jar
wrapper.java.classpath.126=%REPO_DIR%/stc-platform-service-api-2.2.0.1.1.jar
wrapper.java.classpath.127=%REPO_DIR%/stc-platform-service-2.2.0.1.1.jar
wrapper.java.classpath.128=%REPO_DIR%/cxf-dosgi-ri-singlebundle-distribution-1.3.1.4.jar
wrapper.java.classpath.129=%REPO_DIR%/license-2.3.jar
wrapper.java.classpath.130=%REPO_DIR%/cxf-dosgi-ws-discovery-2.2.0.1.1.jar
wrapper.java.classpath.131=%REPO_DIR%/windows-event-logging-1.0.jar
wrapper.java.classpath.132=%REPO_DIR%/event-logging-2.2.0.1.1.jar
wrapper.java.classpath.133=%REPO_DIR%/auditing-2.2.0.1.1.jar
wrapper.java.classpath.134=%REPO_DIR%/logging-2.2.0.1.1.jar
wrapper.java.classpath.135=%REPO_DIR%/system-information-2.2.0.1.1.jar
wrapper.java.classpath.136=%REPO_DIR%/system-information-api-2.2.0.1.1.jar
wrapper.java.classpath.137=%REPO_DIR%/appassembler-booter-1.1.1-Patch2.jar
wrapper.java.classpath.138=%REPO_DIR%/appassembler-model-1.1-Patch2.jar
wrapper.java.classpath.139=%REPO_DIR%/plexus-utils-1.5.6.jar
wrapper.java.classpath.140=%REPO_DIR%/stax-api-1.0.1.jar
wrapper.java.classpath.141=%REPO_DIR%/stax-utils-20060502.jar
wrapper.java.classpath.142=%REPO_DIR%/stax-1.1.1-dev.jar
wrapper.java.classpath.143=%REPO_DIR%/auditing-windows-event-log-registration-2.2.0.1.1.jar
wrapper.java.classpath.144=%REPO_DIR%/jackson-jaxrs-1.9.13.jar
wrapper.java.classpath.145=%REPO_DIR%/jackson-mapper-asl-1.9.13.jar
wrapper.java.classpath.146=%REPO_DIR%/commandlayer-compression-2.2.0.1.1.jar
wrapper.java.classpath.147=%REPO_DIR%/lrf-server-2.2.0.1.1.jar
wrapper.java.classpath.148=%REPO_DIR%/lrf-api-2.2.0.1.1.jar
wrapper.java.classpath.149=%REPO_DIR%/lrf-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.150=%REPO_DIR%/lrf-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.151=%REPO_DIR%/lrf-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.152=%REPO_DIR%/ws-lrf-adapter-2.2.0.1.1.jar
wrapper.java.classpath.153=%REPO_DIR%/ws-lrf-adapter-api-2.2.0.1.1.jar
wrapper.java.classpath.154=%REPO_DIR%/system-status-server-2.2.0.1.1.jar
wrapper.java.classpath.155=%REPO_DIR%/system-status-lib-2.2.0.1.1.jar
wrapper.java.classpath.156=%REPO_DIR%/system-status-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.157=%REPO_DIR%/communication-status-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.158=%REPO_DIR%/communication-status-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.159=%REPO_DIR%/communication-status-rest-lib-2.2.0.1.1.jar
wrapper.java.classpath.160=%REPO_DIR%/network-configuration-server-2.2.0.1.1.jar
wrapper.java.classpath.161=%REPO_DIR%/native-utils-win32-2.2.0.1.1.jar
wrapper.java.classpath.162=%REPO_DIR%/jna-4.2.2.jar
wrapper.java.classpath.163=%REPO_DIR%/jna-platform-4.2.2.jar
wrapper.java.classpath.164=%REPO_DIR%/native-utils-lin-2.2.0.1.1.jar
wrapper.java.classpath.165=%REPO_DIR%/direction-server-2.2.0.1.1.jar
wrapper.java.classpath.166=%REPO_DIR%/direction-api-2.2.0.1.1.jar
wrapper.java.classpath.167=%REPO_DIR%/direction-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.168=%REPO_DIR%/direction-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.169=%REPO_DIR%/ws-direction-adapter-2.2.0.1.1.jar
wrapper.java.classpath.170=%REPO_DIR%/ws-direction-adapter-api-2.2.0.1.1.jar
wrapper.java.classpath.171=%REPO_DIR%/ppp-dialer-win32-2.2.0.1.1.jar
wrapper.java.classpath.172=%REPO_DIR%/win32-api-2.2.0.1.1.jar
wrapper.java.classpath.173=%REPO_DIR%/jawin-2.0-alpha1.jar
wrapper.java.classpath.174=%REPO_DIR%/registry-1.4.5.jar
wrapper.java.classpath.175=%REPO_DIR%/fire-support-api-2.2.0.1.1.jar
wrapper.java.classpath.176=%REPO_DIR%/meteo-api-2.2.0.1.1.jar
wrapper.java.classpath.177=%REPO_DIR%/commons-codec-1.9.jar
wrapper.java.classpath.178=%REPO_DIR%/win-geolocation-position-adapter-2.2.0.1.1.jar
wrapper.java.classpath.179=%REPO_DIR%/ntp-server-2.2.0.1.1.jar
wrapper.java.classpath.180=%REPO_DIR%/apacheds-protocol-ntp-2.0.0-M23-SSE.jar
wrapper.java.classpath.181=%REPO_DIR%/slf4j-log4j12-1.7.14.jar
wrapper.java.classpath.182=%REPO_DIR%/log4j-1.2.16.jar
wrapper.java.classpath.183=%REPO_DIR%/route-execution-server-2.2.0.1.1.jar
wrapper.java.classpath.184=%REPO_DIR%/route-execution-lib-2.2.0.1.1.jar
wrapper.java.classpath.185=%REPO_DIR%/route-execution-api-2.2.0.1.1.jar
wrapper.java.classpath.186=%REPO_DIR%/network-management-server-2.2.0.1.1.jar
wrapper.java.classpath.187=%REPO_DIR%/network-management-api-2.2.0.1.1.jar
wrapper.java.classpath.188=%REPO_DIR%/network-management-rest-server-2.2.0.1.1.jar
wrapper.java.classpath.189=%REPO_DIR%/network-management-rest-api-2.2.0.1.1.jar
wrapper.java.classpath.190=%REPO_DIR%/mission-sharing-filters-api-2.2.0.1.1.jar
wrapper.java.classpath.191=%REPO_DIR%/shared-resources-2.2.0.1.1.jar
wrapper.java.classpath.192=%REPO_DIR%/sw-addons-common-2.2.0.1.1.jar
wrapper.java.classpath.193=%REPO_DIR%/sw-addons-common-settings-2.2.0.1.1.jar
wrapper.java.classpath.194=%REPO_DIR%/stc-socket-settings-2.2.0.1.1.jar
wrapper.java.classpath.195=%REPO_DIR%/frontline-smartclient-skin-2.2.0.1.1.jar
wrapper.java.classpath.196=%REPO_DIR%/hq-smartclient-skin-2.2.0.1.1.jar
wrapper.java.classpath.197=%REPO_DIR%/rxtx-osgi-2.1.7.jar
wrapper.java.classpath.198=%REPO_DIR%/people-on-board-api-2.2.0.1.1.jar

# Java Library Path (location of Wrapper.DLL or libwrapper.so)
wrapper.java.library.path.1=lib

# Java Additional Parameters
#wrapper.java.additional.1=
wrapper.java.additional.1=-Dapp.folder.name=hC2-Tactical-Communication-2.2-SP1-HF1
wrapper.java.additional.2=-Dfallback.user.home=c:/windows/system32/config/systemprofile
wrapper.java.additional.3=-Djava.net.preferIPv4Stack=true
wrapper.java.additional.4=-XX:+HeapDumpOnOutOfMemoryError
wrapper.java.additional.5=-Dbasedir=%APP_BASE%
wrapper.java.additional.6=-Djavax.xml.accessExternalSchema=http,file,bundle
wrapper.java.additional.7=-Dapp.name="Tactical-Communication-Service-LinuxService"
wrapper.java.additional.8=-Dsun.jnu.encoding=UTF-8
wrapper.java.additional.9=-Dfile.encoding=UTF-8
wrapper.java.additional.10=-Dapp.type=STC
wrapper.java.additional.11=-Dapp.version=2.2-SP1-HF1

# Initial Java Heap Size (in MB)
#wrapper.java.initmemory=3
wrapper.java.initmemory=256M

# Maximum Java Heap Size (in MB)
#wrapper.java.maxmemory=64
wrapper.java.maxmemory=512M

# Application parameters.  Add parameters as needed starting from 1
wrapper.app.parameter.1=com.systematic.sitaware.framework.osgi.StartOSGi
wrapper.app.parameter.2=-start
wrapper.app.parameter.3=-nogui
wrapper.app.parameter.4=-redirect

#********************************************************************
# Wrapper Logging Properties
#********************************************************************
# Format of output for the console.  (See docs for formats)
wrapper.console.format=PM

# Log Level for console output.  (See docs for log levels)
wrapper.console.loglevel=INFO

# Log file to use for wrapper output logging.
wrapper.logfile=logs/wrapper.log

# Format of output for the log file.  (See docs for formats)
wrapper.logfile.format=LPTM

# Log Level for log file output.  (See docs for log levels)
wrapper.logfile.loglevel=INFO

# Maximum size that the log file will be allowed to grow to before
#  the log is rolled. Size is specified in bytes.  The default value
#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
wrapper.logfile.maxsize=0

# Maximum number of rolled log files which will be allowed before old
#  files are deleted.  The default value of 0 implies no limit.
wrapper.logfile.maxfiles=0

# Log Level for sys/event log output.  (See docs for log levels)
wrapper.syslog.loglevel=INFO

#********************************************************************
# Wrapper Windows Properties
#********************************************************************
# Title to use when running as a console
wrapper.console.title=hC2 Tactical Communication

#********************************************************************
# Wrapper Windows NT/2000/XP Service Properties
#********************************************************************
# WARNING - Do not modify any of these properties when an application
#  using this configuration file has been installed as a service.
#  Please uninstall the service before modifying this section.  The
#  service can then be reinstalled.

# Name of the service
wrapper.ntservice.name=hC2 Tactical Communication

# Display name of the service
wrapper.ntservice.displayname=hC2 Tactical Communication

# Description of the service
wrapper.ntservice.description=hC2-Tactical-Communication-2.2-SP1-HF1

# Service dependencies.  Add dependencies as needed starting from 1
wrapper.ntservice.dependency.1=

# Mode in which the service is installed.  AUTO_START or DEMAND_START
wrapper.ntservice.starttype=AUTO_START

# Allow the service to interact with the desktop.
wrapper.ntservice.interactive=false

configuration.directory.in.classpath.first=conf
